Arch RemoveShape/ru: Difference between revisions

From FreeCAD Documentation
(Created page with "{{GuiCommand/ru |Name=Arch RemoveShape |Workbenches=Arch |MenuLocation=Архитектура → Утилиты → Remove Shape |SeeAlso=Arch MeshToShap...")
 
(Created page with "==Программирование==")
 
(20 intermediate revisions by 6 users not shown)
Line 1: Line 1:
<languages/>

{{Docnav
|[[Arch_SelectNonSolidMeshes|SelectNonSolidMeshes]]
|[[Arch_CloseHoles|CloseHoles]]
|[[Arch_Workbench|Arch]]
|IconL=Arch_SelectNonManifold.svg
|IconR=Arch_CloseHoles.svg
|IconC=Workbench_Arch.svg
}}

<div class="mw-translate-fuzzy">
{{GuiCommand/ru
{{GuiCommand/ru
|Name=Arch RemoveShape
|Name=Arch RemoveShape
|Name/ru=Arch RemoveShape
|Workbenches=[[Arch Module/ru|Arch]]
|MenuLocation=Архитектура → Утилиты → Remove Shape
|MenuLocation=Архитектура → Утилиты → Удалить форму из Архитектуры
|Workbenches=[[Arch_Workbench/ru|Arch]]
|SeeAlso=[[Arch MeshToShape/ru|Сетка в фигуру]]
|SeeAlso=[[Arch MeshToShape/ru|Сетка в фигуру]]
}}
}}
</div>


==Описание==
==Description==


This tool attempts at removing the inner cubic shape of an [[Arch Wall]] or [[Arch Structure]], and adjusting its properties, making it totally parametric. This tool will only work if the underlying shape is cubic (exactly 6 faces, all corners have only right angles).
This tool attempts at removing the inner cubic shape of an {{Button|[[Image:Arch_Wall.svg|16px]] [[Arch_Wall|Arch Wall]]}} or {{Button|[[Image:Arch_Structure.svg|16px]] [[Arch_Structure|Arch Structure]]}}, and adjusting its properties, making it totally parametric. This tool will only work if the underlying shape is cubic (exactly 6 faces, all corners have only right angles).


==Применение==
==How to use==


# Select an [[Arch Wall]] or [[Arch Structure]]
# Select an {{Button|[[Image:Arch_Wall.svg|16px]] [[Arch_Wall|Arch Wall]]}} or {{Button|[[Image:Arch_Structure.svg|16px]] [[Arch_Structure|Arch Structure]]}}
# Press the {{KEY|[[Image:Arch RemoveShape.png|16px]] '''Remove Shape'''}} entry in Arch -> Utilities menu
# Press the {{Button|[[Image:Arch RemoveShape.svg|16px]]}} button or use {{KEY|Arch}} {{KEY|Utilities}} → {{KEY|[[Image:Arch RemoveShape.svg|16px]] [[Arch_RemoveShape|Remove Shape]]}} from the top menu.


==Программирование==
==Scripting==


{{Emphasis|See also:}} [[Arch_API|Arch API]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].
This tool can by used in [[macros]] and from the python console by using the following function:

This tool can be used in [[Macros|macros]] and from the [[Python|Python]] console by using the following function:
{{Code|code=
{{Code|code=
removeShape (object)
removeShape(objs, mark=True)
}}
}}

takes an arch object (wall or structure) built on a cubic shape, and removes the inner shape, keeping its length, width and height as parameters.
* Takes a list of Arch objects ({{incode|objs}}) built on a cubic shape, and removes the inner shape, keeping the length, width and height as properties of the Arch object.
{{clear}}
** {{incode|objs}} is a single object, [[Arch Wall]] or [[Arch Structure]], or a list of them.
<languages/>
* If {{incode|mark}} is {{incode|True}}, objects that cannot be processed by this function will become red.

{{Code|code=
import FreeCAD, Draft, Arch

Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 1000
Box.Width = 2000
Box.Height = 1000
FreeCAD.ActiveDocument.recompute()

Structure = Arch.makeStructure(Box)
FreeCAD.ActiveDocument.recompute()

Arch.removeShape(Structure)
FreeCAD.ActiveDocument.recompute()
}}


{{Docnav
|[[Arch_SelectNonSolidMeshes|SelectNonSolidMeshes]]
|[[Arch_CloseHoles|CloseHoles]]
|[[Arch_Workbench|Arch]]
|IconL=Arch_SelectNonManifold.svg
|IconR=Arch_CloseHoles.svg
|IconC=Workbench_Arch.svg
}}

{{Arch_Tools_navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 06:37, 31 August 2022

Arch RemoveShape

Системное название
Arch RemoveShape
Расположение в меню
Архитектура → Утилиты → Удалить форму из Архитектуры
Верстаки
Arch
Быстрые клавиши
Нет
Представлено в версии
-
См. также
Сетка в фигуру

Описание

This tool attempts at removing the inner cubic shape of an Arch Wall or Arch Structure, and adjusting its properties, making it totally parametric. This tool will only work if the underlying shape is cubic (exactly 6 faces, all corners have only right angles).

Применение

  1. Select an Arch Wall or Arch Structure
  2. Press the button or use ArchUtilities Remove Shape from the top menu.

Программирование

See also: Arch API and FreeCAD Scripting Basics.

This tool can be used in macros and from the Python console by using the following function:

removeShape(objs, mark=True)
  • Takes a list of Arch objects (objs) built on a cubic shape, and removes the inner shape, keeping the length, width and height as properties of the Arch object.
  • If mark is True, objects that cannot be processed by this function will become red.
import FreeCAD, Draft, Arch

Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 1000
Box.Width = 2000
Box.Height = 1000
FreeCAD.ActiveDocument.recompute()

Structure = Arch.makeStructure(Box)
FreeCAD.ActiveDocument.recompute()

Arch.removeShape(Structure)
FreeCAD.ActiveDocument.recompute()